/* mobile */
@media screen and (max-width: 768px) {
    .card-body {
        overflow-x: auto;
    }
    .card-body table {
        width: max-content;
    }
}
/* dashboard */
@media screen and (min-width: 1024px) {
    .nav-control {
        display: none;
    }
}
.deznav .metismenu > li.mm-active > a {
    background-color: var(--accent) !important;
}
.deznav .metismenu > li.mm-active > a i {
    font-weight: inherit !important;
}
.deznav .metismenu > li {
    /* margin-block: 0 !important; */
    padding: 0 0.5rem !important;
}
.deznav .metismenu > li > a {
    padding: 0.75rem 1.5rem !important;
}
.row {
    row-gap: 1.5rem;
}
.btn-xs {
    padding: 0.1875rem;
    width: 1.625rem;
    height: 1.625rem;
    min-width: 1.625rem;
    min-height: 1.625rem;
}
/* /* cusotm switch  */
.custom-switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 20px;
}
.custom-switch .custom-control-label::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: #ccc;
    border-radius: 15px;
    transition: background-color 0.3s;
}
.custom-switch .custom-control-label::after {
    content: "";
    position: absolute;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: #fff;
    top: 2px;
    left: 2px;
    transition: left 0.3s;
}
.custom-switch .custom-control-input:checked ~ .custom-control-label::before {
    background-color: #37d159;
}
.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
    left: 22px;
}
.btn-primary:focus {
    box-shadow: none;
}
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover {
    background-color: #000 !important;
    border-color: #000 !important;
}
/* Arabic */
[dir="rtl"] {
    font-family: "Cairo";
    font-weight: 600;
    font-size: 0.9rem;
}
[dir="rtl"] input {
    font-size: 1.1rem;
}
textarea:not(.select2-search__field) {
    font-size: 1.1rem !important;
    padding: 1.25rem !important;
}
input.image {
    margin-bottom: 10px;
}
.show-image {
    border-radius: 10px;
    max-height: 130px;
}
/* HTML: <div class="loader"></div> */
.loader {
  height: 80px;
  aspect-ratio: 1;
  display: grid;
}
.loader:before,
.loader:after {
  content: "";
  --c:no-repeat linear-gradient(#fff 0 0);
  background: var(--c), var(--c);
  background-size: 25% 50%;
  animation: l4 1.5s infinite linear;
}
.loader:after {
  transform: scale(-1);
}
@keyframes l4 {
  0%,
  10%  {background-position:33.4% 100%,66.6% 100%}
  40%  {background-position:33.4% 0,100% 100%}
  70%  {background-position:0 100%,66.6% 0}
  100% {background-position:33.4% 100%,66.6% 100%}
}
/* card titles */
.card-header h5::before,
.card-header h4::before {
    content: "";
    border-inline-start: 5px solid var(--primary);
    margin-inline-end: 6px;
    border-radius: 4px;
}
/* sidebar */
.deznav {
    height: 100% !important;
    top: 0 !important;
    z-index: 99999 !important;
}
a.ai-icon:hover {
    background: #f5f5dc36;
}
/* datatable */
.dt-buttons button {
    padding: 10px 20px;
    margin-top: 1rem;
}
div.dataTables_length {
    margin-inline: 1rem;
}

div.dataTables_length select {
    width: 40px;
}
/* // dashtheme */

::-webkit-scrollbar-thumb {
    background: var(--primary) !important;
}

.deznav a {
    color: #fff !important;
}

.deznav .metismenu ul a.mm-active {
    background: #e2eee550;
    border-radius: 10px;
}

.form-control {
    border-color: #0e42656b !important;
}

.bg-xd-primary {
    background: var(--primary) !important;
}

.bg-xd-accent,
button.btn.btn-block.btn-success {
    background: var(--accent) !important;
}

.bg-bbd-accent,
button.btn.btn-block.btn-success {
    background: var(--primary) !important;
}

/* cropper preview */
.preview {
    text-align: center;
    overflow: hidden;
    width: 160px;
    height: 160px;
    margin: 10px;
    border: 1px solid green;
}
.input-image-preview {
    max-width: 25%;
}

/*swal */
.swal2-popup.swal2-toast.swal2-icon-success.swal2-show {
    border-left: 8px solid #00a82f;
    box-shadow: var(--bs-box-shadow);
}
.swal2-popup.swal2-toast.swal2-icon-success.swal2-show,
.swal2-success-circular-line-right,
.swal2-success-fix,
.swal2-success-circular-line-left {
    background: #fff !important;
}
.swal2-toast h2#swal2-title {
    color: var(--primary);
}
.swal2-popup.swal2-toast .swal2-close {
    color: #b10000;
}

/* settings section screenshot img preview */
.section-preview {
    border-radius: 8px;
    cursor: zoom-in;
    transition: all 0.5s;
    max-height: 80px;
    z-index: 2;
    border: 1px solid;
    width: 160px;
}

.section-preview:hover {
    position: relative;
    z-index: 9999;
    transform: scale(3);
}

/* custom input switch */
/* The switch - the box around the slider */
.xd-switch {
    font-size: 17px;
    position: relative;
    display: block;
    width: 3.5em;
    /* width: 100%; */
    height: 2em;
}

/* Hide default HTML checkbox */
.xd-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.xd-switch .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
    border: 1px solid #adb5bd;
    transition: 0.4s;
    border-radius: 30px;
}

.xd-switch .slider:before {
    position: absolute;
    content: "";
    height: 1.4em;
    width: 1.4em;
    border-radius: 20px;
    left: 0.27em;
    bottom: 0.25em;
    background-color: #adb5bd;
    transition: all 0.4s;
}

.xd-switch input:checked + .slider {
    background-color: var(--primary) !important;
    border: 1px solid var(--primary);
}

.xd-switch input:focus + .slider {
    box-shadow: 0 0 1px var(--primary);
}

.xd-switch input:checked + .slider:before {
    /* right: 0.27rem;
            left: auto; */
    transform: translateX(1.4em);
    background-color: #fff;
}
